plotGenome {aCGH} | R Documentation

## Plots the genome

### Description

Basic plot of the log2 ratios for each array ordered along the genome.

### Usage

    plotGenome(aCGH.obj, samples = 1:num.samples(aCGH.obj), naut = 22,
               Y = TRUE, X = TRUE, data = log2.ratios(aCGH.obj),
               chrominfo = human.chrom.info.Jul03,
               yScale = c(-2, 2), samplenames = sample.names(aCGH.obj),
               ylb = "Log2Ratio")

### Arguments

`aCGH.obj` | an object of class aCGH
`samples` | vector containing indeces of the samples to be plotted.
`naut` | number of autosomes in the organism
`Y` | TRUE if chromosome Y is to be plotted, FALSE otherwise
`X` | TRUE if chromosome X is to be plotted, FALSE otherwise
`data` | a matrix containing values to use for plotting. defaults to the `log2.ratios(aCGH.obj)`.
`chrominfo` | a chromosomal information associated with the mapping of the data.
`yScale` | Minimum y-scale to use for plotting. Scale is expanded if any of the values exceed the positive or negative limit.
`samplenames` | sample names.
`ylb` | label for the Y-axis.

### See Also

`aCGH`

### Examples

    #plot samples in the order of descending quality
    data(colorectal)
    order.quality <- order(sd.samples(colorectal)$madGenome)
    pdf("plotGenome.orderByQuality.pdf")
    par(mfrow=c(2,1))
    for(i in order.quality)
       plotGenome(colorectal, samples = i, Y = FALSE)
    dev.off()

[Package aCGH version 1.8.0 Index]